Форум русскоязычного сообщества Ubuntu


Считаете, что Ubuntu недостаточно дружелюбна к новичкам?
Помогите создать новое Руководство для новичков!

Автор Тема: QT3 - проблеммы  (Прочитано 3314 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн AMD

  • Автор темы
  • Участник
  • *
  • Сообщений: 186
    • Просмотр профиля
QT3 - проблеммы
« : 19 Июнь 2007, 00:44:12 »
Для компиляции программ на qt3 мне нужен каталог с содержимым /usr/lib/qt3/include
у меня в папке /usr/lib/qt3/ есть только plugins

Какой пакет установить в Kubuntu?

Оффлайн h8

  • Активист
  • *
  • Сообщений: 395
    • Просмотр профиля
Re: QT3 - проблеммы
« Ответ #1 : 19 Июнь 2007, 01:08:31 »
qt3-apps-dev и все, что он потянет по зависимостям
Ubuntu 11.04 / MacOS X 10.6

Оффлайн AMD

  • Автор темы
  • Участник
  • *
  • Сообщений: 186
    • Просмотр профиля
Re: QT3 - проблеммы
« Ответ #2 : 19 Июнь 2007, 04:26:25 »
qt3-apps-dev и все, что он потянет по зависимостям

linux@linux-pc:~$ sudo apt-get install qt3-apps-dev
Password:
Чтение списков пакетов... Готово
Построение дерева зависимостей
Чтение информации о состоянии... Готово
E: Не могу найти пакет qt3-apps-dev


Какой репозиторий использовать?

Оффлайн yaa13

  • Активист
  • *
  • Сообщений: 311
    • Просмотр профиля
Re: QT3 - проблеммы
« Ответ #3 : 19 Июнь 2007, 20:05:38 »
Какой репозиторий использовать?
main
Цитировать
E: Не могу найти пакет qt3-apps-dev
А я нахожу почему-то
lamer@dalailamer:~$ apt-cache search qt3-apps-dev
qt3-apps-dev - Qt3 Developer applications development files
qt3-assistant - The Qt3 assistant application
Вот подтверждение.

Оффлайн h8

  • Активист
  • *
  • Сообщений: 395
    • Просмотр профиля
Re: QT3 - проблеммы
« Ответ #4 : 20 Июнь 2007, 00:02:56 »
2AMD - Разберись с репозитариями, а то это уже странно становится ;)
Ubuntu 11.04 / MacOS X 10.6

Оффлайн AMD

  • Автор темы
  • Участник
  • *
  • Сообщений: 186
    • Просмотр профиля
Re: QT3 - проблеммы
« Ответ #5 : 20 Июнь 2007, 14:50:09 »
Какой репозиторий использовать?
main
Цитировать
E: Не могу найти пакет qt3-apps-dev
А я нахожу почему-то
lamer@dalailamer:~$ apt-cache search qt3-apps-dev
qt3-apps-dev - Qt3 Developer applications development files
qt3-assistant - The Qt3 assistant application
Вот подтверждение.

root@linux-pc:/home/linux# apt-get install  qt3-apps-dev
Чтение списков пакетов... Готово
Построение дерева зависимостей
Чтение информации о состоянии... Готово
Возможно, для исправления этих ошибок вы захотите воспользоваться `apt-get -f install':
Пакеты, имеющие неудовлетворённые зависимости:
  qt3-apps-dev: Зависит: libqt3-mt-dev но он не будет установлен
  ymessenger: Зависит: libgdk-pixbuf2 (>= 0.13.0) но он не будет установлен
              Зависит: libssl0.9.6 но он не может быть установлен
              Зависит: xlibs (> 3.3.6) но он не может быть установлен
E: Неудовлетворённые зависимости. Попытайтесь выполнить 'apt-get -f install', не указывая имени пакета, (или найдите другое решение).

Уже находит но вот что имеем

Оффлайн Kwah

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1442
  • Ubuntu 17.10
    • Просмотр профиля
Re: QT3 - проблеммы
« Ответ #6 : 20 Июнь 2007, 15:07:55 »
Версию системы и /etc/apt/sources.list - в студию!

Оффлайн AMD

  • Автор темы
  • Участник
  • *
  • Сообщений: 186
    • Просмотр профиля
Re: QT3 - проблеммы
« Ответ #7 : 20 Июнь 2007, 18:21:06 »
Версию системы и /etc/apt/sources.list - в студию!

Kubuntu 7.04 KDE3.5.6


software-properties

Версию системы и /etc/apt/sources.list - в студию!
Цитировать
deb http://md.archive.ubuntu.com/ubuntu/ feisty main restricted
deb-src http://md.archive.ubuntu.com/ubuntu/ feisty restricted main multiverse universe #Added by software-properties

deb http://md.archive.ubuntu.com/ubuntu/ feisty-updates main restricted
deb-src http://md.archive.ubuntu.com/ubuntu/ feisty-updates main restricted #Added by software-properties

deb http://md.archive.ubuntu.com/ubuntu/ feisty universe

deb http://md.archive.ubuntu.com/ubuntu/ feisty multiverse

deb http://security.ubuntu.com/ubuntu feisty-security main restricted
deb-src http://security.ubuntu.com/ubuntu feisty-security restricted main multiverse universe #Added by software-properties
deb http://security.ubuntu.com/ubuntu feisty-security universe
deb http://security.ubuntu.com/ubuntu feisty-security multiverse
deb http://archive.ubuntu.com/ubuntu/ feisty-updates restricted main multiverse universe
deb-src http://archive.ubuntu.com/ubuntu/ feisty-updates restricted main multiverse universe #Added by software-properties
deb http://archive.ubuntu.com/ubuntu/ feisty-proposed restricted main multiverse universe
deb-src http://archive.ubuntu.com/ubuntu/ feisty-proposed restricted main multiverse universe #Added by software-properties
deb http://archive.ubuntu.com/ubuntu/ feisty-backports restricted main multiverse universe
deb http://rusxmms.sourceforge.net/ubuntu/rusxmms dapper main


Оффлайн yaa13

  • Активист
  • *
  • Сообщений: 311
    • Просмотр профиля
Re: QT3 - проблеммы
« Ответ #8 : 20 Июнь 2007, 19:30:39 »
Теоретически, то же что и у меня. Отличие в зеркале. Может попробовать изменить зеркало? Вдруг http://md.archive.ubuntu.com/ubuntu/ кривое?
deb http://ru.archive.ubuntu.com/ubuntu/ feisty main restricted
deb http://ru.archive.ubuntu.com/ubuntu/ feisty-updates main restricted
deb http://ru.archive.ubuntu.com/ubuntu/ feisty universe
deb http://ru.archive.ubuntu.com/ubuntu/ feisty multiverse
deb http://ru.archive.ubuntu.com/ubuntu/ feisty-backports main restricted universe multiverse
и у меня нет feisty-proposed, хотя вряд ли это имеет значение.
Хотя нет. Имеет значение. Отключите feisty-proposed репозитории. У меня qt3-apps-dev прекрасно установилась, имея в зависимостях только libqt3-mt-dev, которая, в свою очередь не имеет в своих зависимостях libgdk-pixbuf2:
lamer@dalailamer:~$ dpkg -s qt3-apps-dev
Package: qt3-apps-dev
Status: install ok installed
...
Version: 3:3.3.8really3.3.7-0ubuntu5
Replaces: qt3-tools, libqt3-dev, libqt3-mt-dev
Depends: libqt3-mt-dev
...
lamer@dalailamer:~$ dpkg -s libqt3-mt-dev
Package: libqt3-mt-dev
Status: install ok installed
...
Depends: libxext-dev (>= 4.3.0.dfsg.1-4), libxrandr-dev (>= 4.3.0.dfsg.1-4), libsm-dev (>= 4.3.0.dfsg.1-4), libxmu-dev (>= 4.3.0.dfsg.1-4), libice-dev (>= 4.3.0.dfsg.1-4), libx11-dev (>= 4.3.0.dfsg.1-4), libxt-dev (>= 4.3.0.dfsg.1-4), libxrender-dev, libxcursor-dev, libxinerama-dev, libxi-dev, zlib1g-dev, libjpeg62-dev, libmng-dev (>= 1.0.3), libpng12-dev | libpng12-0-dev, libfontconfig1-dev, libfreetype6-dev, libxft-dev, libaudio-dev, libcupsys2-dev, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, libc6-dev, libqt3-mt (= 3:3.3.8really3.3.7-0ubuntu5), libqt3-headers (= 3:3.3.8really3.3.7-0ubuntu5), qt3-dev-tools (= 3:3.3.8really3.3.7-0ubuntu5)
...
lamer@dalailamer:~$ dpkg -s libgdk-pixbuf2
Пакет libgdk-pixbuf2 не установлен, информация о нём недоступна.
Для проверки файлов архивов используйте команду dpkg --info (dpkg-deb --info),
для вывода списка файлов в них -- команду dpkg--contents (dpkg-deb --contents).
« Последнее редактирование: 20 Июнь 2007, 19:43:11 от yaa13 »

Оффлайн h8

  • Активист
  • *
  • Сообщений: 395
    • Просмотр профиля
Re: QT3 - проблеммы
« Ответ #9 : 20 Июнь 2007, 20:23:51 »
Теоретически, то же что и у меня. Отличие в зеркале. Может попробовать изменить зеркало? Вдруг http://md.archive.ubuntu.com/ubuntu/ кривое?

Вот и я так подумал. Фишка в том, что на зеркале этот пакет есть, и в списке пакетов (файл gz) он тож есть. Репозитарий main. Странно это. На всякий случай, я бы сделал apt-get update.
Ubuntu 11.04 / MacOS X 10.6

Оффлайн AMD

  • Автор темы
  • Участник
  • *
  • Сообщений: 186
    • Просмотр профиля
Re: QT3 - проблеммы
« Ответ #10 : 01 Июль 2007, 16:25:44 »
qt3-apps-dev и все, что он потянет по зависимостям

Установил я наконец этот пакет но долгожданая папка [include]  так и не появилась
Какие ещё идеи есть?

Оффлайн yaa13

  • Активист
  • *
  • Сообщений: 311
    • Просмотр профиля
Re: QT3 - проблеммы
« Ответ #11 : 01 Июль 2007, 18:01:11 »
ls /usr/include/qt3

 

Страница сгенерирована за 0.06 секунд. Запросов: 24.